[RESOLU] apt-get upgrade: Message bizarre


#1
root@B406:/var/cache/apt/archives# apt-get upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
[b]The following packages have been kept back:[/b]
  akode apache2 apache2-common apache2-mpm-prefork gksu gstreamer0.8-flac libapache2-mod-php4 libmime-perl liboggflac1 libtunepimp-bin
  libtunepimp2 mysql-server php4 php4-common php4-mysql vorbis-tools
0 upgraded, 0 newly installed, 0 to remove and 16 not upgraded.

moi pas comprendre!


#2

Ben apparemment, il te dit qu’il n’a pas pris en compte les 16 paquets cités au niveau de la mise à jour.
je ne connais pas la raison mais il est possible que ce soit parcequ’il n’y a pas de paquets plus récents ou ???
Est-ce que les autres ont été mis à jour ?
Përso, après avoir fait un ‘update’, je vérifie sous Synaptic les paquets qui ne sont pas à jour. Pas pour ts mais pour ceux qui m’intéressent plus spécialement.
Ensuite, après le ‘upgrade’, je revérifie si la mise à jour a été effective.


#3

oui ca j’avais compris lol

les autres ont bien ete mis a jour…
et quant il n’y a pas de paquet plus recent il ne les mets pas a jour donc aucune raisonde les upgrade…


#4

ton message “16 not upgraded” est normal, ca arrive, quand l’upgrade nécessiterait la suppression de certains paquets.
Fais un ‘apt-get dist-upgrade’. Et si tu veux voir avant de faire, -s.


#5

[quote]on message “16 not upgraded” est normal, ca arrive, quand l’upgrade nécessiterait la suppression de certains paquets.
Fais un ‘apt-get dist-upgrade’[/quote]
Ah, parce que apt-get upgrade ne le fais pas ?


#6

apt-get upgrade ne fait “qu’upgrader” les paquets déjà installés. Cependant, il arrive que certains paquets deviennent obsolètes, ou que leur nouvelle version dépende de paquets supllémentaires non-installés. Dans ce cas il faut effectivement exécuter un “apt-get dist-upgrade” pour désinstaller les versions obsolètes et installer les nouvelles dépendances.
Voilà :slightly_smiling:


#7

Bienvenue ici le Toulousain :laughing:
Un spécialiste debian de plus, ça fait du bien pour les pauvres petit débutants.
Amitiés à toi


#8

ah ptin je savais pas ca…

Bah c’est cool tout merci pr toutes ces precisions!
:smiley:

[edit]
yeah nikel ca marche!
[/edit]


#9

:smiley: Ricardo :smiley: